"
 COPYRIGHT (c) 1997 eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"



ArrayedCollection variableSignedWordSubclass:#SignedWordArray
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Arrayed'
!

!SignedWordArray class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1997 eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


!

documentation
"
    SignedWordArrays store 16bit signed integers in the range -16r8000..16r7FFF.
    They are much like WordArrays, but the values stored are signed.
    In contrast to normal arrays (which store pointers to their elements),
    signedWordArrays store the values in a dense & compact way. 
    Therefore, SIgnedordArrays can be used to hold bulk data in a more compact way.
        For example:
            Array new:100000 withAll:1
        requires 400k of object memory;

        in contrast,
            SignedordArray new:100000 withAll:1
        only requires half of it.

    [memory requirements:]
        OBJ-HEADER + (size * 2)

    [see also:]
        ByteArray WordArray BooleanArray FloatArray DoubleArray Array
        IntegerArray LongIntegerArray SignedLongIntegerArray

    [author:]
        Claus Gittinger
"

! !

!SignedWordArray class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/SignedWordArray.st,v 1.4 2000-02-18 14:37:36 cg Exp $'
! !
